Bug 573226 - Review Request: perl-Devel-Caller-IgnoreNamespaces - Make available a function which can ignore name-spaces that you tell it about
Summary: Review Request: perl-Devel-Caller-IgnoreNamespaces - Make available a functio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-13 14:49 UTC by Emmanuel Seyman
Modified: 2010-04-09 03:49 UTC (History)
2 users (show)

Fixed In Version: perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 01:42:29 UTC
cweyl: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-13 14:49:40 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Devel-Caller-IgnoreNamespaces/perl-Devel-Caller-IgnoreNamespaces.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Devel-Caller-IgnoreNamespaces/perl-Devel-Caller-IgnoreNamespaces-1.0-1.fc12.src.rpm
Description:
If your module should be ignored by caller(), just like Hook::LexWrap is
by its magic caller(), then call this module's register() subroutine
with its name.

Comment 1 Chris Weyl 2010-03-13 20:25:34 UTC
Koji (FAILURE) http://koji.fedoraproject.org/koji/taskinfo?taskID=2050879

Comment 3 Chris Weyl 2010-03-14 05:31:52 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2051330

Comment 4 Chris Weyl 2010-03-14 05:34:11 UTC
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2051330

Spec looks sane, clean and consistent; license is correct (GPLv2 or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
8004a9d77d2cd192ec863a4448d3c155c23bd327 Devel-Caller-IgnoreNamespaces-1.0.tar.gz
8004a9d77d2cd192ec863a4448d3c155c23bd327 Devel-Caller-IgnoreNamespaces-1.0.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13.noarch.rpm <=====
====> rpmlint
perl-Devel-Caller-IgnoreNamespaces.noarch: W: spelling-error %description -l en_US LexWrap -> Lexicography, Lexical, Lexicographer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13.noarch.rpm
perl(Devel::Caller::IgnoreNamespaces) = 1.0
perl-Devel-Caller-IgnoreNamespaces = 1.0-2.fc13
====> requires for perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13.noarch.rpm
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(vars)  
perl(warnings)  

=====> perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13.src.rpm <=====
====> rpmlint
perl-Devel-Caller-IgnoreNamespaces.src: W: spelling-error %description -l en_US LexWrap -> Lexicography, Lexical, Lexicographer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13.src.rpm
====> requires for perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
perl(Test::Pod)  

APPROVED

Comment 5 Emmanuel Seyman 2010-03-14 12:40:06 UTC
Thanks, Chris. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Devel-Caller-IgnoreNamespaces
Short Description: Make available a function which can ignore name-spaces that you tell it about
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 6 Tom "spot" Callaway 2010-03-15 21:47:22 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-03-16 00:05:43 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc12

Comment 8 Fedora Update System 2010-03-16 00:05:49 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc11

Comment 9 Fedora Update System 2010-03-16 00:05:53 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13

Comment 10 Fedora Update System 2010-03-16 23:14:42 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Devel-Caller-IgnoreNamespaces'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc11

Comment 11 Fedora Update System 2010-03-16 23:18:21 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Devel-Caller-IgnoreNamespaces'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc12

Comment 12 Fedora Update System 2010-03-16 23:21:29 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Devel-Caller-IgnoreNamespaces'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13

Comment 13 Fedora Update System 2010-04-01 01:42:24 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-01 01:47:36 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-04-09 03:49:54 UTC
perl-Devel-Caller-IgnoreNamespaces-1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.